--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: const_missing
comment: 
- !ruby/struct:SM::Flow::P 
  body: "If on 1.9, create a Sequel::BasicObject class that is just like the default BasicObject class, except that missing constants are resolved in Object. This allows the virtual row support to work with classes without prefixing them with ::, such as:"
- !ruby/struct:SM::Flow::VERB 
  body: "  DB[:bonds].filter{maturity_date &gt; Time.now}\n"
constants: []

full_name: Sequel::BasicObject
includes: []

instance_methods: []

name: BasicObject
superclass: Object
